## org.apache.lucene.codecs.mockrandom
Class MockRandomPostingsFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsFormat
          org.apache.lucene.codecs.mockrandom.MockRandomPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class MockRandomPostingsFormat

extends PostingsFormat

Randomly combines terms index impl w/ postings impls.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsFormat
`EMPTY`

Constructor Summary
`MockRandomPostingsFormat()`
`MockRandomPostingsFormat(Random random)`

Method Summary
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`

Methods inherited from class org.apache.lucene.codecs.PostingsFormat
`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockRandomPostingsFormat

    public MockRandomPostingsFormat()

### MockRandomPostingsFormat

    public MockRandomPostingsFormat(Random random)

Method Detail

### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

  Specified by:
    `fieldsConsumer` in class `PostingsFormat`
  Throws:
    `IOException`

### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

  Specified by:
    `fieldsProducer` in class `PostingsFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.